package org.spbu.benchmark;

public class ThreadingSettings {
	private int totalThreads;
	private int launchInterval;
	private int maxConcurrentThreads = 0;
	public int getTotalThreads() {
		return totalThreads;
	}
	public void setTotalThreads(int totalThreads) {
		this.totalThreads = totalThreads;
	}
	public int getLaunchInterval() {
		return launchInterval;
	}
	public void setLaunchInterval(int launchInterval) {
		this.launchInterval = launchInterval;
	}
	public int getMaxConcurrentThreads() {
		return (maxConcurrentThreads==0 ? totalThreads:maxConcurrentThreads);
	}
	public void setMaxConcurrentThreads(int maxConcurrentThreads) {
		this.maxConcurrentThreads = maxConcurrentThreads;
	}
	

}
